%define version	0.1.3
%define release	2mdk
%define name 	amavis-ng

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{name}-%{version}.tar.bz2
Patch:		amavis-ng-0.1.3-makefile-non-root.patch.bz2
URL: 		http://www.amavis.org
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root/
Prefix: 	%{_prefix}
Requires: 	perl
Requires:	perl-File-MMagic
Requires:	perl-Config-IniFiles
Requires:	perl-MIME-tools
Requires:	perl-Convert-TNEF
Requires:	perl-Convert-UUlib
Requires:	perl-Compress-Zlib
Requires:	perl-Archive-Tar
Requires:	perl-Archive-Zip
Requires:	smtpdaemon
BuildArch:	noarch

Summary: A MAil VIrus Scanner

%description
Amavis-ng is A (new generation) Mail Virus Scanner. It acts as the glue
between your Mail Transport Agent and your antivirus software.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
%patch -p1 -b .nonroot

%build
rm -rf $RPM_BUILD_ROOT
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make
make test

%install
eval `perl '-V:installarchlib'`
make PREFIX=$RPM_BUILD_ROOT/%{prefix} install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/amavis
cp etc/amavis.conf $RPM_BUILD_ROOT/%{_sysconfdir}/amavis
   
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/amavis
%dir %{_sysconfdir}/amavis/
%config(noreplace) %{_sysconfdir}/amavis/amavis.conf
%attr(750,mail,mail) /var/spool/amavis/*
%dir %attr(750,mail,mail) /var/log/amavis/
%attr(640,mail,mail) /var/log/amavis/*
%dir %{_datadir}/amavis
%{_datadir}/amavis/*
%{perl_vendorlib}/AMAVIS/*
%{perl_vendorlib}/AMAVIS.pm
%{perl_vendorlib}/amavis.pl
#%{_mandir}/*/*
%doc COPYING doc/*

%changelog
* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 0.1.3-2mdk
- rebuild for perl 5.8.0

* Wed May  22 2002 Buchan Milne <bgmilne@cae.co.za> 0.1.3-1mdk
- Mandrake RPM
